package agilpizza.dao;

import java.util.ArrayList;
import java.util.Collection;
import java.util.LinkedList;

import agilpizza.modelo.Cliente;

public class ClienteDAO {

	
	private LinkedList<Cliente> clientes;
	
	public ClienteDAO(){
		clientes = new LinkedList<Cliente>();		
	}
	
	public void adicionaCliente(Cliente x){
		clientes.add(x);
	}
	
	public Cliente procuraClientePorTelefone(String telefone){
		Cliente l;
		
		
		for (int i = 0; i < clientes.size(); i++) {
			l = clientes.get(i);		
			if (l.getTelefone().equals(telefone))
				return l;
		}
		return null;	
	
	}
	
	public Cliente procuraClientePorEmail(String email){
		Cliente l;
		for (int i = 0; i < clientes.size(); i++) {
			l = clientes.get(i);
			if (l.getEmail().equals(email))
				return l;
		}
		return null;	
	}
	
	public Collection<Cliente> buscaClientesInadimplentes() {
		ArrayList<Cliente> inadimplentes = new ArrayList<Cliente>();
		for(Cliente x: clientes){
			if(x.getInadimplente()){
				inadimplentes.add(x);
			}
		}
		return inadimplentes;
	}
	
}
